---
title: "Discover & campaign stats"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/stats.gtm
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Discover & campaign stats

Outreach metrics (no member filter).

Outreach metrics (no member filter).

## Overview

| Name | Value |
| --- | --- |
| Code | `stats.gtm` |
| Scope needed | `stats.read` |
| Risk | Read |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager`, `agent`, `viewer` |
| In the app | Stats → Discover |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `preset` | `"today" \| "7d" \| "30d" \| "90d" \| "custom"` | Yes |   |
| `from` | `text` | No |   |
| `to` | `text` | No |   |
| `account` | `uuid` | No |   |
| `member` | `uuid` | No |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/stats.gtm \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"preset":"today"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `range` | `object` | Yes |
| `m` | `object` | Yes |

## Example answer

```json
{
  "data": {
    "range": {
      "from": "text",
      "to": "text",
      "days": [
        "text"
      ],
      "tz": "text"
    },
    "m": {
      "tz": "text",
      "found": 1,
      "new_listed": 1,
      "found_by_source": [
        {
          "source": "text",
          "n": 1,
          "listed": 1
        }
      ],
      "found_by_group": [
        {
          "group_id": "00000000-0000-4000-8000-000000000000",
          "title": "text",
          "n": 1,
          "saved": 1
        }
      ],
      "messaged": 1,
      "messaged_unverified": 1,
      "replied": 1,
      "by_campaign": [
        {
          "campaign_id": "00000000-0000-4000-8000-000000000000",
          "name": "text",
          "sent": 1,
          "replied": 1
        }
      ],
      "by_account": [
        {
          "account_id": "00000000-0000-4000-8000-000000000000",
          "sent": 1,
          "replied": 1
        }
      ],
      "by_variant": [
        {
          "campaign_id": "00000000-0000-4000-8000-000000000000",
          "name": "text",
          "block_id": "00000000-0000-4000-8000-000000000000",
          "variant": 1,
          "sent": 1,
          "replied": 1
        }
      ],
      "funnel": [
        {
          "stage_id": "00000000-0000-4000-8000-000000000000",
          "name": "text",
          "color": "text",
          "kind": "open",
          "system_key": "text",
          "n": 1
        }
      ],
      "stage_moves": [
        {
          "stage_id": "00000000-0000-4000-8000-000000000000",
          "n": 1
        }
      ],
      "signals": {
        "new": 1,
        "saved": 1
      },
      "daily": [
        {
          "day": "text",
          "sent": 1,
          "replied": 1
        }
      ]
    }
  }
}
```

## Using it over MCP

Tool `stats_gtm` is listed on the profiles: Reports (`reports`). On other profiles, find it with `tools_search` and run it with `tools_run`.
